## org.eclipse.datatools.modelbase.sql.query.impl
Class GroupingExpressionImpl

    java.lang.Object
      ENamedElementImpl
          org.eclipse.datatools.modelbase.sql.schema.impl.SQLObjectImpl
              org.eclipse.datatools.modelbase.sql.query.impl.SQLQueryObjectImpl
                  org.eclipse.datatools.modelbase.sql.query.impl.GroupingSpecificationImpl
                      org.eclipse.datatools.modelbase.sql.query.impl.GroupingImpl
                          org.eclipse.datatools.modelbase.sql.query.impl.GroupingExpressionImpl

All Implemented Interfaces:
  Grouping, GroupingExpression, GroupingSpecification, SQLQueryObject, SQLObject

    public class GroupingExpressionImpl

extends GroupingImpl
implements GroupingExpression

An implementation of the model object 'SQL Grouping Expression'.

The following features are implemented:

- `Value Expr`
- `Super Group Element Expr`

Method Summary
`NotificationChain` `basicSetSuperGroupElementExpr(SuperGroupElementExpression newSuperGroupElementExpr, NotificationChain msgs)`
`NotificationChain` `basicSetValueExpr(QueryValueExpression newValueExpr, NotificationChain msgs)`
`NotificationChain` `eBasicRemoveFromContainerFeature(NotificationChain msgs)`
`java.lang.Object` `eGet(int featureID, boolean resolve, boolean coreType)`
`NotificationChain` `eInverseAdd(InternalEObject otherEnd, int featureID, NotificationChain msgs)`
`NotificationChain` `eInverseRemove(InternalEObject otherEnd, int featureID, NotificationChain msgs)`
`boolean` `eIsSet(int featureID)`
`void` `eSet(int featureID, java.lang.Object newValue)`
`void` `eUnset(int featureID)`
`SuperGroupElementExpression` `getSuperGroupElementExpr()`
`QueryValueExpression` `getValueExpr()`
`void` `setSuperGroupElementExpr(SuperGroupElementExpression newSuperGroupElementExpr)`
`void` `setValueExpr(QueryValueExpression newValueExpr)`

Methods inherited from class org.eclipse.datatools.modelbase.sql.query.impl.GroupingImpl
`basicSetGroupingSetsElementExpr, getGroupingSetsElementExpr, setGroupingSetsElementExpr`

Methods inherited from class org.eclipse.datatools.modelbase.sql.query.impl.GroupingSpecificationImpl
`basicSetQuerySelect, getQuerySelect, setQuerySelect`

Methods inherited from class org.eclipse.datatools.modelbase.sql.query.impl.SQLQueryObjectImpl
`getSourceInfo, getSQL, setSourceInfo, setSQL`

Methods inherited from class org.eclipse.datatools.modelbase.sql.schema.impl.SQLObjectImpl
`addEAnnotation, addEAnnotationDetail, getComments, getDependencies, getDescription, getEAnnotation, getEAnnotationDetail, getLabel, getPrivileges, removeEAnnotationDetail, setAnnotationDetail, setDescription, setLabel, toString`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.eclipse.datatools.modelbase.sql.query.Grouping
`getGroupingSetsElementExpr, setGroupingSetsElementExpr`

Methods inherited from interface org.eclipse.datatools.modelbase.sql.query.GroupingSpecification
`getQuerySelect, setQuerySelect`

Methods inherited from interface org.eclipse.datatools.modelbase.sql.query.SQLQueryObject
`getSourceInfo, getSQL, setSourceInfo, setSQL`

Methods inherited from interface org.eclipse.datatools.modelbase.sql.schema.SQLObject
`addEAnnotation, addEAnnotationDetail, getComments, getDependencies, getDescription, getEAnnotation, getEAnnotationDetail, getLabel, getPrivileges, removeEAnnotationDetail, setAnnotationDetail, setDescription, setLabel`

Method Detail

### getValueExpr

    public QueryValueExpression getValueExpr()

  Specified by:
    `getValueExpr` in interface `GroupingExpression`
  Returns:
    the value of the 'Value Expr' containment reference.
  See Also:
    `GroupingExpression.setValueExpr(QueryValueExpression)`, `SQLQueryModelPackage.getGroupingExpression_ValueExpr()`, `QueryValueExpression.getGroupingExpr()`

### basicSetValueExpr

    public NotificationChain basicSetValueExpr(QueryValueExpression newValueExpr,
                                               NotificationChain msgs)

### setValueExpr

    public void setValueExpr(QueryValueExpression newValueExpr)

  Specified by:
    `setValueExpr` in interface `GroupingExpression`
  Parameters:
    `newValueExpr` - the new value of the 'Value Expr' containment reference.
  See Also:
    `GroupingExpression.getValueExpr()`

### getSuperGroupElementExpr

    public SuperGroupElementExpression getSuperGroupElementExpr()

  Specified by:
    `getSuperGroupElementExpr` in interface `GroupingExpression`
  Returns:
    the value of the 'Super Group Element Expr' container reference.
  See Also:
    `GroupingExpression.setSuperGroupElementExpr(SuperGroupElementExpression)`, `SQLQueryModelPackage.getGroupingExpression_SuperGroupElementExpr()`, `SuperGroupElementExpression.getGroupingExpr()`

### basicSetSuperGroupElementExpr

    public NotificationChain basicSetSuperGroupElementExpr(SuperGroupElementExpression newSuperGroupElementExpr,
                                                           NotificationChain msgs)

### setSuperGroupElementExpr

    public void setSuperGroupElementExpr(SuperGroupElementExpression newSuperGroupElementExpr)

  Specified by:
    `setSuperGroupElementExpr` in interface `GroupingExpression`
  Parameters:
    `newSuperGroupElementExpr` - the new value of the 'Super Group Element Expr' container reference.
  See Also:
    `GroupingExpression.getSuperGroupElementExpr()`

### eInverseAdd

    public NotificationChain eInverseAdd(InternalEObject otherEnd,
                                         int featureID,
                                         NotificationChain msgs)

  Overrides:
    `eInverseAdd` in class `GroupingImpl`

### eInverseRemove

    public NotificationChain eInverseRemove(InternalEObject otherEnd,
                                            int featureID,
                                            NotificationChain msgs)

  Overrides:
    `eInverseRemove` in class `GroupingImpl`

### eBasicRemoveFromContainerFeature

    public NotificationChain eBasicRemoveFromContainerFeature(NotificationChain msgs)

  Overrides:
    `eBasicRemoveFromContainerFeature` in class `GroupingImpl`

### eGet

    public java.lang.Object eGet(int featureID,
                                 boolean resolve,
                                 boolean coreType)

  Overrides:
    `eGet` in class `GroupingImpl`

### eSet

    public void eSet(int featureID,
                     java.lang.Object newValue)

  Overrides:
    `eSet` in class `GroupingImpl`

### eUnset

    public void eUnset(int featureID)

  Overrides:
    `eUnset` in class `GroupingImpl`

### eIsSet

    public boolean eIsSet(int featureID)

  Overrides:
    `eIsSet` in class `GroupingImpl`

Copyright © 2006 -- 2008 Actuate, IBM Corporation, Sybase, Inc. and others. All rights reserved.